		PAGE	,132
;****************************************************************************;
;* Program:          SETCSR                                                 *;
;* Author:           Greg Thielen, Innovative Systems Design                *;
;* Date written:     March 15, 1987                                         *;
;* Description:      Set cursor on or off.                                  *;
;****************************************************************************;

	assume	cs:code_seg

code_seg	segment
	org	0

set_cursor	proc	far
		push	bx			;Save BX
		mov	ah,03			;Read corsor position (size)
		int	10h
		or	ch,20h			;Set cursor off
		pop	bx			;Restore BX
		cmp	byte ptr ds:[bx],'1'	;Set cursor on?
		jne	set_size		;No, skip set on
		and	ch,1Fh			;Yes, set cursor on
set_size:	mov	ah,01			;Set cursor size
		int	10h
		ret				;Return
set_cursor	endp

code_seg	ends

		end	set_cursor
